<?php


/**
 * themes support stuff
 */
add_theme_support( 'menus' );
add_theme_support( 'post-thumbnails' );



/**
 * Languages 
 */
require_once( TEMPLATEPATH . '/functions/languages.php' );


/**
 * Site specific 
 */
require_once( TEMPLATEPATH . '/functions/theme-specific.php' );


/**
 * Cleanup WordPress and reorder menus 
 */
require_once( TEMPLATEPATH . '/functions/cleanup-and-reorder.php' );


/**
 * Sidebars and Widgets 
 */
require_once( TEMPLATEPATH . '/functions/sidebars-and-widgets.php' );


/**
 * Custom Posts and Shortcodes
 */
require_once( TEMPLATEPATH . '/functions/custom-posts-and-shortcodes.php' );


/**
 * Javascripts 
 */
require_once( TEMPLATEPATH . '/functions/javascripts.php' );


/**
 * Theme Options 
 */
require_once( TEMPLATEPATH . '/functions/theme-options.php' );



/**
 * HTML title
 */
function y_html_title()
{
	if ( is_home() )
	{
		bloginfo( 'name' );
		echo ' | ';
		bloginfo( 'description' );
	}
	else
	{
		wp_title( '|', true, 'right' );
		bloginfo( 'name' );
	}
}



/**
 * pre_r
 */
function pre_r($expression, $return = false)
{
	if ($return)
	{
	  if (is_string($expression)) return '<pre>' . print_r(str_replace(array('<','>'), array('&lt;','&gt;'), $expression), true) . '</pre>';
		return '<pre>' . print_r($expression, true) . '</pre>';
	}
	else
	{
		echo '<pre>';
		if (is_string($expression)) print_r(str_replace(array('<','>'), array('&lt;','&gt;'), $expression), false);
		else print_r($expression, false);
		echo '</pre>';
	}
}